import { ButtonHtmlTypes, ButtonTypes, ColorStyles } from '../../../types';
import React, { ReactNode } from 'react';
export declare type ButtonProps = {
    label: string;
    className?: string;
    type: ButtonTypes;
    htmlType?: ButtonHtmlTypes;
    colorStyle?: ColorStyles;
    children?: ReactNode;
    onClick?: (e: React.MouseEvent<HTMLElement>) => void;
};
export declare const Button: ({ label, className, type, htmlType, colorStyle, children, onClick }: ButtonProps) => JSX.Element;
